#!/usr/bin/env python
import setpath
import unittest
from bike import testdata
from rename import rename_new
from bike.testutils import *
from bike.parsing.extended_ast import Root
from bike.query.getTypeOf import getTypeOf
from bike.parsing.newstuff import getSource

class TestRenameTemporary(BRMTestCase):
    def test_renamesSimpleReferencesGivenAssignment(self):
        src=trimLines("""
        def foo():
            a = 3
            print a
        """)
        srcAfter=trimLines("""
        def foo():
            b = 3
            print b
        """)
        src = self.helper(src,"",2,4,"b")
        #root = createSourceNodeAt_old(Root(),src,"mymodule")
        #sourcenode = root.getSource("mymodule")
        #rename(sourcenode,2,4,"b")
        self.assertEqual(srcAfter,src)

    def helper(self, src, classsrc, line, col, newname):
        try:
            createPackageStructure(src,classsrc)
            filename = pkgstructureFile1
            rename_new(filename,line,col,newname)
            # modify me once save is moved
            #return readFile(filename)
            from bike.parsing.save import outputqueue
            return outputqueue[filename]
        finally:
            removePackageStructure()
if __name__ == "__main__":
    unittest.main()
